Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.outbound
Interface SNAOutboundConfiguration.SNAOutboundSettings

Enclosing interface:
  SNAOutboundConfiguration

    public static interface SNAOutboundConfiguration.SNAOutboundSettings

The configuration object for outbound SNASettings section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:33 $
Author:
  Harry Liu (harryliu@seebeyond.com)
See Also:
  `SNAInterface`

Method Summary
`java.lang.String` | `getCustomerHandshakeClassName()` Gets the customerHandshakeClassName.
`int` | `getDeallocationType()` Gets DeallocationType
`java.lang.String` | `getHostName()` Gets the HostName where the lu62 Server runs, only needed for Brixton LU62 server.
`boolean` | `getInitializeConversation()` Gets InitializeConversation
`java.lang.String` | `getLocalLUName()` Gets LocalLUName
`java.lang.String` | `getLocalTPName()` Gets LocalTPName
`int` | `getPacketSize()` Gets PacketSize which is requested_length of data the local program is to receive.
`java.lang.String` | `getSymbolicDestName()` Gets SymbolicDestName
`int` | `getSynchronizationLevel()` Gets SynchronizationLevel
`int` | `getTimeout()` Gets Timeout
`boolean` | `isDeallocationTypeABEND()` Is DeallocationType ABEND?
`boolean` | `isDeallocationTypeCONFIRM()` Is DeallocationType CONFIRM?
`boolean` | `isDeallocationTypeFLUSH()` Is DeallocationType FLUSH?
`boolean` | `isDeallocationTypeSYNC()` Is DeallocationType SYNC level?
`boolean` | `isInitializeConversation()` Is InitializeConversation?
`boolean` | `isSynchronizationLevelCONFIRM()` Is SynchronizationLevel CM_CONFIRM?
`boolean` | `isSynchronizationLevelNONE()` Is SynchronizationLevel CM_NONE?
`void` | `setCustomerHandshakeClassName(java.lang.String aCustomerHandshakeClassName)` Sets the customerHandshakeClassName.
`void` | `setDeallocationType(int aDeallocationType)` Sets DeallocationType
`void` | `setHostName(java.lang.String aHostName)` Sets the HostName where the lu62 Server runs, only needed for Brixton LU62 server.
`void` | `setInitializeConversation(boolean initializeConversation)` Sets InitializeConversation
`void` | `setLocalLUName(java.lang.String aLocalLUName)` Sets LocalLUName
`void` | `setLocalTPName(java.lang.String aLocalTPName)` Sets LocalTPName
`void` | `setPacketSize(int aPacketSize)` Sets PacketSize which is requested_length of data the local program is to receive.
`void` | `setSymbolicDestName(java.lang.String aSymbolicDestName)` Sets SymbolicDestName
`void` | `setSynchronizationLevel(int aSynchronizationLevel)` Sets SynchronizationLevel
`void` | `setTimeout(int aTimeout)` Sets Timeout
`void` | `validate()` Validates outbound SNASettings section

Method Detail

### getDeallocationType

    int getDeallocationType()

  Gets DeallocationType

  Returns:
    DeallocationType
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### isDeallocationTypeABEND

    boolean isDeallocationTypeABEND()

  Is DeallocationType ABEND?

  Returns:
    true or false
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### isDeallocationTypeCONFIRM

    boolean isDeallocationTypeCONFIRM()

  Is DeallocationType CONFIRM?

  Returns:
    true or false
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### isDeallocationTypeFLUSH

    boolean isDeallocationTypeFLUSH()

  Is DeallocationType FLUSH?

  Returns:
    true or false
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### isDeallocationTypeSYNC

    boolean isDeallocationTypeSYNC()

  Is DeallocationType SYNC level?

  Returns:
    true or false
  See Also:
    `SNAInterface.getDeallocTypeJ()`

### isInitializeConversation

    boolean isInitializeConversation()

  Is InitializeConversation?

  Returns:
    true or false

### getInitializeConversation

    boolean getInitializeConversation()

  Gets InitializeConversation

  Returns:
    Flag InitializeConversation

### getLocalLUName

    java.lang.String getLocalLUName()

  Gets LocalLUName

  Returns:
    LocalLUName
  See Also:
    `SNAInterface.getLocalLUName()`

### getLocalTPName

    java.lang.String getLocalTPName()

  Gets LocalTPName

  Returns:
    LocalTPName
  See Also:
    `SNAInterface.getLocalTPName()`

### getPacketSize

    int getPacketSize()

  Gets PacketSize which is requested_length of data the local program is to receive.

  Returns:
    PacketSize
  See Also:
    `SNAInterface.getPacketSize()`

### getSymbolicDestName

    java.lang.String getSymbolicDestName()

  Gets SymbolicDestName

  Returns:
    SymbolicDestName
  See Also:
    `SNAInterface.getSymDestName()`

### getSynchronizationLevel

    int getSynchronizationLevel()

  Gets SynchronizationLevel

  Returns:
    SynchronizationLevel
  See Also:
    `SNAInterface.getSyncLevel()`

### isSynchronizationLevelCONFIRM

    boolean isSynchronizationLevelCONFIRM()

  Is SynchronizationLevel CM_CONFIRM?

  Returns:
    true or false
  See Also:
    `SNAInterface.getSyncLevel()`

### isSynchronizationLevelNONE

    boolean isSynchronizationLevelNONE()

  Is SynchronizationLevel CM_NONE?

  Returns:
    true or false
  See Also:
    `SNAInterface.getSyncLevel()`

### getTimeout

    int getTimeout()

  Gets Timeout

  Returns:
    Timeout
  See Also:
    `SNAInterface.getTimeout()`

### setDeallocationType

    void setDeallocationType(int aDeallocationType)
                             throws SNAApplicationException

  Sets DeallocationType

  Parameters:
    `aDeallocationType` - The DeallocationType to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setDeallocTypeJ(int)`

### setInitializeConversation

    void setInitializeConversation(boolean initializeConversation)
                                   throws SNAApplicationException

  Sets InitializeConversation

  Parameters:
    `initializeConversation` - The InitializeConversation to set
  Throws:
    `SNAApplicationException` - up on error

### setLocalLUName

    void setLocalLUName(java.lang.String aLocalLUName)
                        throws SNAApplicationException

  Sets LocalLUName

  Parameters:
    `aLocalLUName` - The LocalLUName to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setLocalLUName(String)`

### setLocalTPName

    void setLocalTPName(java.lang.String aLocalTPName)
                        throws SNAApplicationException

  Sets LocalTPName

  Parameters:
    `aLocalTPName` - The LocalTPName to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setLocalTPName(String)`

### setPacketSize

    void setPacketSize(int aPacketSize)
                       throws SNAApplicationException

  Sets PacketSize which is requested_length of data the local program is to receive.

  Parameters:
    `aPacketSize` - The PacketSize to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setPacketSize(int)`

### setSymbolicDestName

    void setSymbolicDestName(java.lang.String aSymbolicDestName)
                             throws SNAApplicationException

  Sets SymbolicDestName

  Parameters:
    `aSymbolicDestName` - The SymbolicDestName to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setSymDestName(String)`

### setSynchronizationLevel

    void setSynchronizationLevel(int aSynchronizationLevel)
                                 throws SNAApplicationException

  Sets SynchronizationLevel

  Parameters:
    `aSynchronizationLevel` - The SynchronizationLevel to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setSyncLevel(int)`

### setTimeout

    void setTimeout(int aTimeout)
                    throws SNAApplicationException

  Sets Timeout

  Parameters:
    `aTimeout` - The Timeout to set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setTimeout(int)`

### getCustomerHandshakeClassName

    java.lang.String getCustomerHandshakeClassName()

  Gets the customerHandshakeClassName. It will be used onlt when the users want to define their own SNA conversation handshake logics.

  Returns:
    the customerHandshakeClassName

### setCustomerHandshakeClassName

    void setCustomerHandshakeClassName(java.lang.String aCustomerHandshakeClassName)
                                       throws SNAApplicationException

  Sets the customerHandshakeClassName. The name should be a full class name. It will be used only when the users want to define their own SNA conversation handshake logics. The customer-defined handshake implementation class should satisfy following requirements:

           - It should represent a solid class.
           - It should have a constructor with an empty argument list.
           - It should be a type of com.stc.connector.snalu62.api.SNACustomerHandshake.

  Parameters:
    `aCustomerHandshakeClassName` - The customerHandshakeClassName to set
  Throws:
    `SNAApplicationException` - up on error

### getHostName

    java.lang.String getHostName()

  Gets the HostName where the lu62 Server runs, only needed for Brixton LU62 server.

  Returns:
    The hostName
  See Also:
    `SNAInterface.getHostName()`

### setHostName

    void setHostName(java.lang.String aHostName)
                     throws SNAApplicationException

  Sets the HostName where the lu62 Server runs, only needed for Brixton LU62 server.

  Parameters:
    `aHostName` - The hostName to be set
  Throws:
    `SNAApplicationException` - up on error
  See Also:
    `SNAInterface.setHostName(String)`

### validate

    void validate()
                  throws SNAApplicationException

  Validates outbound SNASettings section

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.